Subject: Re: [RFC/PATCHv2 1/5] worktree: provide better prefix to go back to original cwd

From: Chris Packham <[email-masked]>
Date: Sun, 17 Oct 2010 19:05:37 -0700

On 17/10/10 03:01, Nguyen Thai Ngoc Duy wrote:
> While at it, have you thought of support --recursive and
> --full-tree [1]? There are issues with --full-tree and prefixes [2],
> which is why it is dropped but I think it's a good idea.
> 
> --full-tree disregards where you stand and greps in whole repo. In a
> repo with submodules, that would mean grep the supermodule and all
> submodules regardless where you stand, even if you stand in a
> submodule.
> 
> [1] http://mid.gmane.org/[email-masked]
> [2] http://mid.gmane.org/[email-masked]

I haven't looked at those threads yet but it sounds useful to me. I
don't want this series to grow too far in scope so maybe this could be a
follow-up if my series is accepted.